#include <bits/stdc++.h>
#include"guess.h"
using namespace std;





int find_number(int MAX){
    int l=1;
    int r=MAX;
    while(l<r){
        int m=(l+r)/2;
        if(smaller(m)==1){
            r=m-1;
        }else{
            l=m;
        }
    }
    return l;

}

/*int32_t main(){
    int a;
    cin>>a;
    cout<<find_number(a);


}*/
